For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounts

Accounts

Get all accounts

get
/api/c1/accounts
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
Header parameters
Acceptstring · enumRequired

The client must specify an Accept header.

Possible values:
Responses
200

OK

application/vnd.api+json
get/api/c1/accounts
GET /api/c1/accounts HTTP/1.1
Host: api.plock.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: application/vnd.api+json
{
  "meta": {
    "page": {
      "currentPage": 1,
      "from": 1,
      "lastPage": 1,
      "perPage": 1,
      "to": 1,
      "total": 1
    }
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "text",
    "last": "text",
    "next": "text"
  },
  "data": [
    {
      "type": "accounts",
      "id": "2002",
      "attributes": {
        "primaryKey": "a443322",
        "identifiers": [
          {
            "connector_id": 12,
            "value": "a443322"
          }
        ],
        "name": "Some Company AB",
        "orgNumber": "554433-3344",
        "crmId": "hs321",
        "erpId": "fn432",
        "country": "Sweden",
        "parentAccountId": 1,
        "tags": [
          {
            "name": "Automotive"
          }
        ],
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "isGroup": true,
        "belongsToGroup": true,
        "isArchived": true,
        "isActive": true,
        "isPending": true,
        "stats": {
          "mrr_committed_fees": [
            100.5,
            200.3,
            300.2
          ],
          "mrr_usage_fees": [
            0,
            0,
            0
          ],
          "mrr_one_time_fees": [
            0,
            0,
            200
          ],
          "historical_cmrr": [
            300.2,
            300.2,
            450
          ],
          "billings_committed_fees": [
            0,
            0,
            601
          ],
          "billings_usage_fees": [
            0,
            0,
            0
          ],
          "billings_one_time_fees": [
            0,
            0,
            200
          ]
        },
        "projectedStats": {
          "projected_mrr_committed_fees": [
            300.2,
            300.2,
            300.2
          ],
          "projected_cmrr": [
            450,
            450,
            450
          ]
        }
      },
      "relationships": {
        "subscriptions": "text",
        "invoices": "text"
      },
      "links": {
        "self": "text"
      }
    }
  ]
}

Get specific account

get
/api/c1/accounts/{accountId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
accountIdintegerRequired

Plock account ID

Query parameters
Header parameters
Acceptstring · enumRequired

The client must specify an Accept header.

Possible values:
Responses
200

OK

application/vnd.api+json
get/api/c1/accounts/{accountId}
GET /api/c1/accounts/{accountId} HTTP/1.1
Host: api.plock.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: application/vnd.api+json
{
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "text"
  },
  "data": {
    "type": "accounts",
    "id": "2002",
    "attributes": {
      "primaryKey": "a443322",
      "identifiers": [
        {
          "connector_id": 12,
          "value": "a443322"
        }
      ],
      "name": "Some Company AB",
      "orgNumber": "554433-3344",
      "crmId": "hs321",
      "erpId": "fn432",
      "country": "Sweden",
      "parentAccountId": 1,
      "tags": [
        {
          "name": "Automotive"
        }
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "isGroup": true,
      "belongsToGroup": true,
      "isArchived": true,
      "isActive": true,
      "isPending": true,
      "stats": {
        "mrr_committed_fees": [
          100.5,
          200.3,
          300.2
        ],
        "mrr_usage_fees": [
          0,
          0,
          0
        ],
        "mrr_one_time_fees": [
          0,
          0,
          200
        ],
        "historical_cmrr": [
          300.2,
          300.2,
          450
        ],
        "billings_committed_fees": [
          0,
          0,
          601
        ],
        "billings_usage_fees": [
          0,
          0,
          0
        ],
        "billings_one_time_fees": [
          0,
          0,
          200
        ]
      },
      "projectedStats": {
        "projected_mrr_committed_fees": [
          300.2,
          300.2,
          300.2
        ],
        "projected_cmrr": [
          450,
          450,
          450
        ]
      }
    },
    "relationships": {
      "subscriptions": "text",
      "invoices": "text"
    },
    "links": {
      "self": "text"
    }
  }
}

Last updated